MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000180SoldatGameplaypublic2012-04-09 01:322014-01-09 17:41
ReporterTheOne 
Assigned Toskoskav 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version1.6.2 
Target VersionFixed in Version1.6.4 
Summary0000180: Double-nade by key-holding
DescriptionPressing the 'throw grenade'-key for too long results in throwing a nade where you planned it, and placing one directly infront of you. So far I couldn't even see those second nades. How about throwing only one nade until you released the key?
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001416)
asdf (reporter)
2012-04-13 18:26

Well, it was good before 1.6, but they "fix" completely unused bug that when you were firing with your weapon with holding a "throw grenade" button after you threw one (or not if you didn't have one), you were shooting with no bink, but ONLY if you were standing in one place (even jetpack was "adding" back a bink), so it was completely NOT useful (I didn't see anyone using this glitch too, so fixing this was unnecessary)
(0001586)
TheOne (reporter)
2012-08-29 22:54

This bug is a great annoyance - and wouldn't it be easy to fix?
Even if you want keyholding to result in several attempts to throw nades, currently throwing the second grenade has a smaller time treshold after throwing the first one than when throwing just one grenade at all (if you release the button before the animation progressed to a specific point, you throw the nade, unlike when throwing a single grenade).
(0001608)
Squiddy (reporter)
2012-10-09 19:14

Yes, very annoying. Happens all the time. :P
(0001622)
skoskav (developer)
2012-11-10 21:24

Modified it so holding the nade key will only throw one nade now.

On a related note, the minimum time required to hold the nade key before it being thrown is also increased by about 7% to reduce similar nade accidents.

- Issue History
Date Modified Username Field Change
2012-04-09 01:32 TheOne New Issue
2012-04-13 18:26 asdf Note Added: 0001416
2012-08-29 22:54 TheOne Note Added: 0001586
2012-10-09 19:14 Squiddy Note Added: 0001608
2012-11-10 21:24 skoskav Note Added: 0001622
2012-11-10 21:24 skoskav Status new => resolved
2012-11-10 21:24 skoskav Fixed in Version => 1.6.4
2012-11-10 21:24 skoskav Resolution open => fixed
2012-11-10 21:24 skoskav Assigned To => skoskav
2014-01-09 17:41 homerofgods Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker